Subject: [TR] restoring/cleaning the plastic radiator overflow bottle

From: "Dave Connitt" <[email-masked]>
Date: Sat, 16 Mar 2013 14:21:21 -0400

List,
Does anyone have any suggestions on cleaning/restoring my radiator overflow
bottle? I might also add that I have the original windshield washer fluid
bottle and would really like to use that too. The radiator overflow bottle
looks like it has the usual rust and coolant residue inside it so I was kind
of leaning towards trying CLR or something like that..
I already zinc plated the two original mounting brackets, now the original
bottles REALLY look crappy...
Thanks in advance,
Dave Connitt
'67 TR4A IRS
http://home.fuse..net/davestr4a

** [email-masked] **

Archive: http://www.team.net/archive